Cannot do a hosted-engine upgrade as it can't decrypt the certificates

Solution Verified - Updated -

Issue

  • Cannot do a hosted-engine upgrade as it can't decrypt the certificates:
--== PKI CONFIGURATION ==--

[WARNING] Failed to read or parse '/etc/pki/ovirt-engine/keys/engine.p12'
Perhaps it was changed since last Setup.
Error was:
MAC verified OK
Error outputting keys and certificates

[WARNING] Failed to read or parse '/etc/pki/ovirt-engine/keys/jboss.p12'
Perhaps it was changed since last Setup.
Error was:
MAC verified OK
Error outputting keys and certificates

[WARNING] Failed to read or parse '/etc/pki/ovirt-engine/keys/websocket-proxy.p12'
Perhaps it was changed since last Setup.
Error was:
MAC verified OK
Error outputting keys and certificates

Environment

  • Red Hat Virtualization 4.3
    • FIPS

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In